=== debian/changelog ===
rockbox (2013-03-10maemo1) unstable; urgency=low

  * Update to rockbox 3.13 code base (v3.13-final)

 -- Thomas Jarosch <tomj@simonv.com>  Sun, 10 Mar 2013 19:00:00 +0100
